Skip to main content
GET
/
v1
/
extract
/
{id}
/extract/:id
curl --request GET \
  --url https://api.linkup.so/v1/extract/{id} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "error": "<string>",
  "id": "01234-abcd-56789",
  "status": "completed",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "input": {
    "q": "<string>",
    "url": "https://example.com/team",
    "schema": null,
    "verifyUrls": false
  },
  "output": {
    "creditsUsed": 1,
    "resultUrl": "<string>",
    "rowsReturned": 4503599627370495
  },
  "type": "<string>"
}

Get your API key

Create a Linkup account for free to get your API key.
This endpoint only retrieves data from an existing extract task. It does not create a new extract task. To create a new task, use POST /extract.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Extract task details.

[BETA] Extract task output. The extract task type is in beta; its behavior and response shape may change.

createdAt
string<date-time>
required

The date and time when the task was created.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-01-01T00:00:00.000Z"

error
string | null
required

The error message if the task failed.

id
string
required

The unique identifier of the task.

Example:

"01234-abcd-56789"

status
enum<string>
required

The current status of the task.

Available options:
completed,
failed,
pending,
processing
Example:

"completed"

updatedAt
string<date-time>
required

The date and time when the task status was last updated.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-01-01T00:00:00.000Z"

input
object
required

[BETA] Input for an extract task. The extract task type is in beta; its behavior and response shape may change.

output
object
required

[BETA] Output for an extract task. The extracted rows are stored as an NDJSON file and exposed through a time-limited URL. The extract task type is in beta; its behavior and response shape may change.

type
string
required
Allowed value: "extract"